> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastenant.md).

# Set-RASTenant.md

## NAME

Set-RASTenant

## SYNOPSIS

Updates a Tenant.

## SYNTAX

**Set-RASTenant** \[[Id](#id-string)] *(uint)* \[[ConnectByServerIP](#connectbyserverip-string) *(bool)*] \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[HideBillingInfo](#hidebillinginfo-string) *(bool)*] \[[NewName](#newname-string) *(string)*] \[[PublicAddresses](#publicaddresses-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASTenant** \[\[-[Name](#name-string)] *(string)*] \[[ConnectByServerIP](#connectbyserverip-string) *(bool)*] \[[Description](#description-string) *(string)*] \[[Enabled](#enabled-string) *(bool)*] \[[HideBillingInfo](#hidebillinginfo-string) *(bool)*] \[[NewName](#newname-string) *(string)*] \[[PublicAddresses](#publicaddresses-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Updates a Tenant.

## PARAMETERS

## Name (string)

The Tenant name.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

Tenant ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## NewName (string)

The new name of the Tenant (must be unique).

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enabled (bool)

Enable or disable the Tenant object in the Tenant Broker.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PublicAddresses (string)

The IP or DNS addresses of the Tenant Broker to join in a semicolon separated list.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ConnectByServerIP (bool)

Clients in gateway mode connect to published tenant resources by server IP.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HideBillingInfo (bool)

When set, billing information is not provided in the Licensing category of the Tenant.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Description (string)

An optional Tenant description.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASTenant -Id 5 -NewName "Tenant 2"

Modifies the name of Tenant with Id 5 to "Tenant 2".

## RELATED LINKS

* [New-RASTenant](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rastenant.md)
* [Get-RASTenant](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastenant.md)
* [Remove-RASTenant](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rastenant.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastenant.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
